/*
 * interrupt.c
 *
 *  Created on: Aug 29, 2019
 *      Author: abody
 */
#include "../Application/interrupt_handlers.h"

#include "main.h"
#include <f4ll_cpp/ili9341.h>
#include "../Application/globals.h"

void HandleLcdDmaIrq()
{
	// DMA2 Stream4
	f4ll_cpp::Ili9341Fsmc::HandleDmaIrq(&f4ll_cpp::Ili9341Fsmc::Instance());
}

void HandleConsoleRxDmaIrq()
{
	if(g_console)
		g_console->HandleRxDmaIrq();
}

void HandleConsoleTxDmaIrq()
{
	if(g_console)
		g_console->HandleTxDmaIrq();
}

void HandleConsoleUsartIrq()
{
	if(g_console)
		g_console->HandleUsartIrq();
}
